unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, 
  dxBar, dxRibbon, dxRibbonForm, dxRibbonSkins, cxGraphics, cxControls, 
  cxLookAndFeels, cxLookAndFeelPainters, cxClasses, dxSkinsCore, dxSkinsdxRibbonPainter,
  dxSkinsdxBarPainter, dxStatusBar, dxRibbonStatusBar, dxBarApplicationMenu,
  dxSkinChooserGallery, dxRibbonGallery, dxBarExtItems, dxBarExtDBItems, ImgList,
  dxSkinBlack, dxSkinBlue, dxSkinBlueprint, dxSkinCaramel, dxSkinCoffee,
  dxSkinDarkRoom, dxSkinDarkSide, dxSkinDevExpressDarkStyle,
  dxSkinDevExpressStyle, dxSkinFoggy, dxSkinGlassOceans,
  dxSkinHighContrast, dxSkiniMaginary, dxSkinLilian, dxSkinLiquidSky,
  dxSkinLondonLiquidSky, dxSkinMcSkin, dxSkinMoneyTwins,
  dxSkinOffice2007Black, dxSkinOffice2007Blue, dxSkinOffice2007Green,
  dxSkinOffice2007Pink, dxSkinOffice2007Silver, dxSkinOffice2010Black,
  dxSkinOffice2010Blue, dxSkinOffice2010Silver, dxSkinPumpkin, dxSkinSeven,
  dxSkinSevenClassic, dxSkinSharp, dxSkinSharpPlus, dxSkinSilver,
  dxSkinSpringTime, dxSkinStardust, dxSkinSummer2008,
  dxSkinTheAsphaltWorld, dxSkinsDefaultPainters, dxSkinValentine,
  dxSkinVS2010, dxSkinWhiteprint, dxSkinXmas2008Blue;

type
  TForm1 = class(TdxRibbonForm)
    dxBarManager1: TdxBarManager;
    dxBarManager1Bar1: TdxBar;
    dxBarApplicationMenu1: TdxBarApplicationMenu;
    dxRibbon1: TdxRibbon;
    dxRibbon1Tab1: TdxRibbonTab;
    dxRibbonStatusBar1: TdxRibbonStatusBar;
    dxBarManager1Bar2: TdxBar;
    cxImageList1: TcxImageList;
    dxBarButton1: TdxBarButton;
    dxRibbonGalleryItem1: TdxRibbonGalleryItem;
    dxRibbonGalleryItem2: TdxRibbonGalleryItem;
    procedure FormCreate(Sender: TObject);
    procedure GalleryGroupItemClick(Sender: TdxRibbonGalleryItem;
      AItem: TdxRibbonGalleryGroupItem);
  private
    procedure InitGallery(Value: TdxRibbonGalleryItem; Collapsed: Boolean);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.InitGallery(Value: TdxRibbonGalleryItem; Collapsed: Boolean);
var
  Group: TdxRibbonGalleryGroup;
  GroupItem: TdxRibbonGalleryGroupItem;
  FilterCategory: TdxRibbonGalleryFilterCategory;
begin
  //    
  Value.ImageIndex := 0;

  //     ,       
  Value.GalleryInRibbonOptions.Collapsed := Collapsed;

  //          
  Value.GalleryInMenuOptions.ItemTextKind := itkCaptionAndDescription;

  //        
  Value.GalleryOptions.ColumnCount := 2;

  //  
  Value.GalleryFilter.Caption := ' ';
  Value.GalleryFilter.Visible := True;

  //   
  Group := Value.GalleryCategories.Add;
  Group.Header.Caption := '';
  Group.Header.Visible := True;

  //    
  FilterCategory := Value.GalleryFilter.Categories.Add;
  FilterCategory.Caption := Group.Header.Caption;
  FilterCategory.Groups.Add(Group); //       

  //   
  GroupItem := Group.Items.Add;
  GroupItem.Caption := '';
  GroupItem.Description :=
    ' -     ,' +
    '      ';
  GroupItem.ImageIndex := 1;

  GroupItem := Group.Items.Add;
  GroupItem.Caption := '';
  GroupItem.Description := '   ' +
    '   1776     ' +
    ' ,    .';
  GroupItem.ImageIndex := 2;

  GroupItem := Group.Items.Add;
  GroupItem.Caption := '';
  GroupItem.Description := ' ,   ' +
    '   ,   ' +
    '   ';
  GroupItem.ImageIndex := 3;

  //   
  Group := Value.GalleryCategories.Add;
  Group.Header.Caption := '';
  Group.Header.Visible := True;

  //    
  FilterCategory := Value.GalleryFilter.Categories.Add;
  FilterCategory.Caption := Group.Header.Caption;
  FilterCategory.Groups.Add(Group);

  //   
  GroupItem := Group.Items.Add;
  GroupItem.Caption := ' ';
  GroupItem.Description := '    , ' +
    '      ';
  GroupItem.ImageIndex := 4;

  GroupItem := Group.Items.Add;
  GroupItem.Caption := '';
  GroupItem.Description := ' ( )   ' +
    '    ( 76 ) ,  ' +
    '   (. unitas  ) ';
  GroupItem.ImageIndex := 5;

  GroupItem := Group.Items.Add;
  GroupItem.Caption := '';
  GroupItem.Description := ' (. calculator )  ' +
    '      ' +
    '    ';
  GroupItem.ImageIndex := 6;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  InitGallery(dxRibbonGalleryItem1, True);
  InitGallery(dxRibbonGalleryItem2, False);
end;

procedure TForm1.GalleryGroupItemClick(Sender: TdxRibbonGalleryItem;
  AItem: TdxRibbonGalleryGroupItem);
begin
  //        
  Sender.ImageIndex := AItem.ImageIndex;
  //   
  ShowMessage(AItem.Caption + sLineBreak + AItem.Description);
end;

end.
